Subject: Re: bug#33285: Installing, then removing, a package yields a different profile

From: Jelle Licht <[email-masked]>
Date: Thu, 07 Feb 2019 12:11:41 +0100

Ricardo Wurmus <[email-masked]> writes:

> [snip]
>
> I think it’s fine to leave it as it is, then.  “--install” and
> “--remove” are stateful and should be expected to have quirks like this.
> (E.g. upgrading Guix in between two “--install”s can lead to
> a mosaic of a profile that could not be produced any other way.)

This seems like a very reasonable perspective on this issue, so I
concur. Should we state this explicitly somewhere in the manual?